<ui:composition xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html" xmlns:cc="http://xmlns.jcp.org/jsf/composite"
	 xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship">
	<cc:interface>
		<cc:attribute name="value" required="true" />
		<cc:attribute name="help" required="true" />
		<cc:attribute name="title" required="false" default="Information" />
		<cc:attribute name="closeButtonLabel" required="false" default="Ok" />
	</cc:interface>
	<cc:implementation>
		<div id="#{cc.clientId}:infoModal" style="z-index: 10; background-color: rgba(128, 128, 128, 0.5); position: fixed; left: 0px; top: 0px; bottom: 0px; right: 0px" class="modal" role="dialog" tabindex="-1"
			aria-labelledby="#{cc.clientId}:approveModal_Label" aria-hidden="true">
			<div class="modal-dialog" style="padding-top: 10%; padding-left: 25%; padding-right: 25%; height: 100%; width: 100%">
				<div class="modal-content" style="width: 100%">
					<div style="background-color: #357ebd; color: rgb(255, 255, 255); padding: 1px 8px; border-radius: 6px 6px 0px 0px;" class="modal-header">
						<h4 id="#{cc.clientId}:approveModal_Label">
							<h:outputText value="#{cc.attrs.title}" />
						</h4>
					</div>
					<div style="background-color: #ffffff; text-align: center; padding-top: 16px; padding-bottom: 16px;" class="modal-body">
						<h:outputText value="#{cc.attrs.help}" />
					</div>
					<div class="modal-footer" style="background-color: #ffffff; text-align: center; border-radius: 0px 0px 6px 6px; padding-bottom: 8px">
						<button type="button" class="btn btn-default" onclick="ship.hideModal('#{cc.clientId}:infoModal'); return false;" data-dismiss="modal">
							<h:outputText value="#{cc.attrs.closeButtonLabel}" />
						</button>
					</div>
				</div>
			</div>
		</div>
		<script id="#{cc.clientId}:approveModal_js" type="text/javascript">
      ship.hideModal('#{cc.clientId}:infoModal');
    </script>
		<div onclick="ship.showModal('#{cc.clientId}:infoModal'); return false;" class="helplabel">
			<h:outputText value="#{cc.attrs.value}" style="cursor: help" />
		</div>
	</cc:implementation>
</ui:composition>